<template>
  <div>
    <h1 class="mb-3">Do you experience any of the following symptoms?</h1>
    <p class="mb-6 text-base">Select all that apply.</p>
    <div class="space-y-3 mb-6">
      <checkbox-input
        v-for="choice in choices"
        :key="choice"
        :input-value="choice"
        @input="handleCheckboxInput"
        :value="checkboxSelected"
      >
        {{ choice }}
      </checkbox-input>
    </div>
    <CommonBtn
      @click="$emit('nextStage')"
      :disabled="!checkboxSelected.length"
      text="Next"
    />
  </div>
</template>

<script>
import CommonBtn from "@/components/common/CommonBtn";
import {answersMixin, checkboxMixin} from "@/utils/mixins";
import {constants} from "@/constants";
import CheckboxInput from "@/components/inputs/CheckboxInput";
export default {
  mixins: [answersMixin, checkboxMixin],
  name: "YourHealth18",
  components: {CheckboxInput, CommonBtn},
  data() {
    return {
      choices: [
        'Chest Pain',
        'Passing Out',
        'Dizziness/Seizure',
        constants.NONE_CHOICE,
      ],
      checkHandler: newVal => {
        newVal = this.filterChoices(newVal)
        this.checkboxSelected = newVal
        this.setAnswer(this.answersKeys.YOUR_HEALTH, newVal, 'stage_18')
      }
    }
  }
}
</script>

<style scoped>

</style>
